import { Link } from "react-router-dom";

const Logo = () => {
  return (
    <Link to={'/dashboard'}>
      <svg width="109" height="35" viewBox="0 0 462 140" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M75.1223 112.477L116.638 70.9614L75.1223 29.4455V3.08371L143 70.9614L75.1223 138.839V112.477Z"
              fill="#1C4364" />
        <path d="M75.0919 92.7483L96.8767 70.9634L75.0919 49.1786V37.3571L108.698 70.9634L75.0919 104.57V92.7483Z"
              fill="#1C4364" />
        <path d="M67.9309 37.3344L34.3018 70.9634L67.9309 104.593V92.7711L46.1233 70.9634L67.9309 49.1558V37.3344Z"
              fill="#FCD757" />
        <path d="M67.9613 3L0 70.9614L67.9613 138.923V112.561L26.3618 70.9614L67.9613 29.3618V3Z" fill="#FCD757" />
        <path
          d="M211.442 17.896C215.054 17.896 218.021 18.197 220.343 18.799C222.751 19.401 224.772 20.046 226.406 20.734L223.052 35.827C221.676 35.225 220.128 34.795 218.408 34.537C216.774 34.279 215.097 34.15 213.377 34.15C211.055 34.15 209.077 34.494 207.443 35.182C205.895 35.784 204.648 36.644 203.702 37.762C202.842 38.88 202.197 40.213 201.767 41.761C201.423 43.309 201.251 44.986 201.251 46.792V50.146H224.987V66.142H201.251V118H182.03V46.534C182.03 37.762 184.481 30.796 189.383 25.636C194.371 20.476 201.724 17.896 211.442 17.896ZM255.302 118H236.081V50.146H255.302V118ZM257.108 30.538C257.108 34.064 255.947 36.859 253.625 38.923C251.389 40.901 248.723 41.89 245.627 41.89C242.531 41.89 239.822 40.901 237.5 38.923C235.264 36.859 234.146 34.064 234.146 30.538C234.146 27.012 235.264 24.26 237.5 22.282C239.822 20.218 242.531 19.186 245.627 19.186C248.723 19.186 251.389 20.218 253.625 22.282C255.947 24.26 257.108 27.012 257.108 30.538ZM273.363 52.468C276.631 51.522 280.845 50.662 286.005 49.888C291.165 49.028 296.583 48.598 302.259 48.598C308.021 48.598 312.794 49.372 316.578 50.92C320.448 52.382 323.501 54.489 325.737 57.241C327.973 59.993 329.564 63.261 330.51 67.045C331.456 70.829 331.929 75.043 331.929 79.687V118H312.708V82.009C312.708 75.817 311.891 71.431 310.257 68.851C308.623 66.271 305.57 64.981 301.098 64.981C299.722 64.981 298.26 65.067 296.712 65.239C295.164 65.325 293.788 65.454 292.584 65.626V118H273.363V52.468Z"
          fill="#1C4364" />
        <path
          d="M367.516 73.237C367.516 77.623 368.032 81.579 369.064 85.105C370.182 88.631 371.73 91.684 373.708 94.264C375.772 96.758 378.266 98.693 381.19 100.069C384.114 101.445 387.468 102.133 391.252 102.133C394.95 102.133 398.261 101.445 401.185 100.069C404.195 98.693 406.689 96.758 408.667 94.264C410.731 91.684 412.279 88.631 413.311 85.105C414.429 81.579 414.988 77.623 414.988 73.237C414.988 68.851 414.429 64.895 413.311 61.369C412.279 57.757 410.731 54.704 408.667 52.21C406.689 49.63 404.195 47.652 401.185 46.276C398.261 44.9 394.95 44.212 391.252 44.212C387.468 44.212 384.114 44.943 381.19 46.405C378.266 47.781 375.772 49.759 373.708 52.339C371.73 54.833 370.182 57.886 369.064 61.498C368.032 65.024 367.516 68.937 367.516 73.237ZM435.757 73.237C435.757 79.515 434.983 85.191 433.435 90.265C431.887 95.253 429.694 99.639 426.856 103.423C424.104 107.207 420.793 110.346 416.923 112.84C413.053 115.334 408.796 117.14 404.152 118.258C404.582 119.978 405.528 121.354 406.99 122.386C408.452 123.504 410.301 124.407 412.537 125.095C414.773 125.783 417.353 126.299 420.277 126.643C423.287 126.987 426.512 127.288 429.952 127.546L425.824 142.252C419.116 141.994 413.354 141.306 408.538 140.188C403.808 139.156 399.766 137.694 396.412 135.802C393.144 133.91 390.521 131.588 388.543 128.836C386.651 126.084 385.189 122.902 384.157 119.29C378.825 118.602 373.88 117.14 369.322 114.904C364.764 112.582 360.808 109.486 357.454 105.616C354.1 101.746 351.477 97.102 349.585 91.684C347.693 86.266 346.747 80.117 346.747 73.237C346.747 65.583 347.951 58.875 350.359 53.113C352.767 47.265 355.992 42.363 360.034 38.407C364.162 34.451 368.892 31.484 374.224 29.506C379.642 27.528 385.318 26.539 391.252 26.539C397.358 26.539 403.12 27.528 408.538 29.506C413.956 31.484 418.686 34.451 422.728 38.407C426.77 42.363 429.952 47.265 432.274 53.113C434.596 58.875 435.757 65.583 435.757 73.237Z"
          fill="#FCD757" />
      </svg>
    </Link>
  );
};

export default Logo;